// -----------------------------------------------------------------------------
// COPYRIGHT (C) 2020 - AUTHOR - MANISH JOSHI
//
// CREATED USING SCILAB-6.1.0 ON WINDOWS-10 64-bit
//
// DATE OF CREATION: 11 Aug, 2020 
//
// THIS FILE IS A PART OF PROJECTILE TOOLBOX.
// -----------------------------------------------------------------------------


function LaunchCallback(handles)
	handles.TimeSlider.enable='off'
	handles.TimeSlider.value = [0];
	handles.VerticalValue.string='';
	handles.HorizontalValue.string='';
	handles.TimeTitle.string='Projectile position at time ';
	
	o=evstr(handles.AngleValue.string)
	u=evstr(handles.SpeedValue.string)
	g=evstr(handles.gValue.string)
	h= evstr(handles.heightValue.string)
	T=(u*sind(o)+sqrt((u*sind(o))^2+2*g*h))/g;
	H=h+(u^2*sind(o)^2)/(2*g);
	R=u*cosd(o)*T;
	t=linspace(0,T,1000);
	x=(u*cosd(o))*t;
	y=h+(u*sind(o)*t)-0.5*g*t.^2;
	plot([0,R+R/5],[0,0],'g','thickness',4)
	//plot([0,0],[0,h],'K','thickness',10)
	handles.Axis.box="off"
	comet(x,y, 'colors','magenta')
	xgrid()
	handles.RangeValue.string=string(R)
	handles.HeightValue.string=string(H)
	handles.TimeValue.string=string(T)
	handles.TimeSlider.max=[T]
	handles.TimeSlider.enable='on'
endfunction
