// -----------------------------------------------------------------------------
// COPYRIGHT (C) 2020 - AUTHOR - MANISH JOSHI
//
// CREATED USING SCILAB-6.1.0 ON WINDOWS-10 64-bit
//
// DATE OF CREATION: 11 Aug, 2020 
//
// THIS FILE IS A PART OF PROJECTILE TOOLBOX.
// -----------------------------------------------------------------------------


function projectile()

	f=figure('figure_position',[319,11],'figure_size',[1095,830],'auto_resize','on','background',[12],'figure_name','Projectile GUI','dockable','off','infobar_visible','off','toolbar_visible','off','menubar_visible','off','default_axes','off','visible','off');

	handles.dummy = 0;

	handles.Title=uicontrol(f,'unit','normalized','BackgroundColor',[0.5,0.6,0.4],'Enable','on','FontAngle','italic','FontName','times new roman','FontSize',[30],'FontUnits','points','FontWeight','normal','ForegroundColor',[0.2,0.3,0.4],'HorizontalAlignment','center','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0,0.93,1,0.07],'Relief','ridge','SliderStep',[0.01,0.1],'String','PROJECTILE MOTION','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Title','Callback','')

	handles.Input=uicontrol(f,'unit','normalized','BackgroundColor',[-1,-1,-1],'Enable','on','FontAngle','normal','FontName','Tahoma','FontSize',[12],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0,0,0.35,0.93],'Relief','ridge','SliderStep',[0.01,0.1],'String','UnName2','Style','frame','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.Output=uicontrol(f,'unit','normalized','BackgroundColor',[0.8,0.2,0.4],'Enable','on','FontAngle','normal','FontName','Tahoma','FontSize',[12],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.35,0,0.65,0.93],'Relief','ridge','SliderStep',[0.01,0.1],'String','UnName3','Style','frame','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Output','Callback','')

	// Create an axis for ploting the trajactory of projectile.
	handles.Axis= newaxes(handles.Output);sca(handles.Axis);handles.Axis.margins = [0.05,0.01,0.01,0.05];handles.Axis.axes_bounds = [0.,0,1,1];handles.Axis.filled = "on";handles.Axis.background = 12;

	handles.InputFrame = uicontrol(handles.Input, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Tahoma','FontSize',[12],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0,0.55,1,0.45],'Relief','ridge','SliderStep',[0.01,0.1],'String','UnName2','Style','frame','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.InputTitle = uicontrol(handles.InputFrame, 'unit','normalized','BackgroundColor',[0.8,0.8,0.9],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[20],'FontUnits','points','FontWeight','bold','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0,0.9,1,0.095],'Relief','ridge','SliderStep',[0.01,0.1],'String','  INITIAL VALUES:','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.AngleText = uicontrol(handles.InputFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.1,0.78,0.2,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','Angle','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.SpeedText = uicontrol(handles.InputFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.1,0.6,0.2,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','Speed','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.HeightText = uicontrol(handles.InputFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.1,0.4,0.2,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','Height','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.gText = uicontrol(handles.InputFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.1,0.2,0.2,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','g','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.AngleValue = uicontrol(handles.InputFrame, 'unit','normalized','BackgroundColor',[-1,-1,-1],'Enable','on','FontAngle','normal','FontName','Arial','FontSize',[15],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','center','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.4,0.78,0.3,0.1],'Relief','sunken','SliderStep',[0.01,0.1],'String','45','Style','edit','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','ValidateAngle(handles)')

	handles.SpeedValue = uicontrol(handles.InputFrame, 'unit','normalized','BackgroundColor',[-1,-1,-1],'Enable','on','FontAngle','normal','FontName','Arial','FontSize',[15],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','center','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.4,0.6,0.3,0.1],'Relief','sunken','SliderStep',[0.01,0.1],'String','20','Style','edit','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','ValidateSpeed(handles)')

	handles.heightValue = uicontrol(handles.InputFrame, 'unit','normalized','BackgroundColor',[-1,-1,-1],'Enable','on','FontAngle','normal','FontName','Arial','FontSize',[15],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','center','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.4,0.4,0.3,0.1],'Relief','sunken','SliderStep',[0.01,0.1],'String','0','Style','edit','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','ValidateHeight(handles)')

	handles.gValue = uicontrol(handles.InputFrame, 'unit','normalized','BackgroundColor',[-1,-1,-1],'Enable','on','FontAngle','normal','FontName','Arial','FontSize',[15],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','center','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.4,0.2,0.3,0.1],'Relief','sunken','SliderStep',[0.01,0.1],'String','9.81','Style','edit','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','Validateg(handles)')

	handles.AngleUnit = uicontrol(handles.InputFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.8,0.78,0.1,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','$\degree$','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.SpeedUnit = uicontrol(handles.InputFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.8,0.6,0.1,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','m/s','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.HeightUnit = uicontrol(handles.InputFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.8,0.4,0.1,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','m','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.gUnit = uicontrol(handles.InputFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[15],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.8,0.2,0.15,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','${m/s^2}$','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.ClearBtn = uicontrol(handles.InputFrame, 'unit','normalized','BackgroundColor',[0.9,0.4,0.3],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','center','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.1,0.02,0.3,0.1],'Relief','raised','SliderStep',[0.01,0.1],'String','Clear','Style','pushbutton','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','ClearCallback(handles)', 'tooltip', 'Clear the graph')

	handles.LaunchBtn = uicontrol(handles.InputFrame, 'unit','normalized','BackgroundColor',[0.7,0.3,0.5],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','center','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.6,0.02,0.3,0.1],'Relief','raised','SliderStep',[0.01,0.1],'String','Launch','Style','pushbutton','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','LaunchCallback(handles)', 'tooltip', 'Launch the Projectile')

	handles.ResultFrame = uicontrol(handles.Input, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Tahoma','FontSize',[12],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0,0,1,0.55],'Relief','ridge','SliderStep',[0.01,0.1],'String','UnName2','Style','frame','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.ResultTitle = uicontrol(handles.ResultFrame, 'unit','normalized','BackgroundColor',[0.8,0.8,0.9],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[20],'FontUnits','points','FontWeight','bold','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0,0.93,1,0.09],'Relief','ridge','SliderStep',[0.01,0.1],'String','  RESULTS:','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.RangeText = uicontrol(handles.ResultFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.1,0.8,0.4,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','Maximum Range','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.HeightText = uicontrol(handles.ResultFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.1,0.65,0.4,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','Maximum Height','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.TimeText = uicontrol(handles.ResultFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.1,0.5,0.4,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','Time of Flight','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.RangeValue = uicontrol(handles.ResultFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.6,0.8,0.3,0.1],'Relief','default','SliderStep',[0.01,0.1],'String',' ','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.HeightValue = uicontrol(handles.ResultFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.6,0.65,0.3,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.TimeValue = uicontrol(handles.ResultFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.6,0.5,0.3,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.TimeTitle = uicontrol(handles.ResultFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.1,0.35,0.8,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','Projectile position at time','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.TimeSlider = uicontrol(handles.ResultFrame, 'unit','normalized','BackgroundColor',[0.5,0.5,0.5],'Enable','off','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[0,0,0],'HorizontalAlignment','left','ListboxTop',[],'Max',[20],'Min',[0],'Position',[0.1,0.25,0.8,0.1],'Relief','raised','SliderStep',[0.1,0.5],'String','Time','Style','slider','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','TimeSliderCallback(handles)', 'tooltip', 'press arrow key for small increment and ctrl + arrow key for large increment')

	handles.HorizontalPosition = uicontrol(handles.ResultFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.1,0.15,0.4,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','Horizontal Position','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.HorizontalValue = uicontrol(handles.ResultFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.6,0.15,0.3,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.VerticalPosition = uicontrol(handles.ResultFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.1,0.01,0.4,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','Vertical Position','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.VerticalValue = uicontrol(handles.ResultFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.6,0.01,0.3,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.RangeUnit = uicontrol(handles.ResultFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.9,0.8,0.09,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','m','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.HeightUnit = uicontrol(handles.ResultFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.9,0.65,0.09,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','m','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.TimeUnit = uicontrol(handles.ResultFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.9,0.5,0.09,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','s','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.TimeTitleUnit = uicontrol(handles.ResultFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.9,0.35,0.09,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','s','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.HorizontalUnit = uicontrol(handles.ResultFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.9,0.15,0.09,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','m','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	handles.VerticalUnit = uicontrol(handles.ResultFrame, 'unit','normalized','BackgroundColor',[0.2,0.8,0.8],'Enable','on','FontAngle','normal','FontName','Gabriola','FontSize',[25],'FontUnits','points','FontWeight','normal','ForegroundColor',[-1,-1,-1],'HorizontalAlignment','left','ListboxTop',[],'Max',[1],'Min',[0],'Position',[0.9,0.01,0.09,0.1],'Relief','default','SliderStep',[0.01,0.1],'String','m','Style','text','Value',[0],'VerticalAlignment','middle','Visible','on','Tag','Input','Callback','')

	f.visible = "on";
	handles = resume(handles);

endfunction

